import 'dart:async';

import 'package:senior_platform_authentication_ui/senior_platform_authentication_ui.dart';

import '../../data/repositories/biometric_repository.dart';

class BiometricAuthenticateUsecase
    implements BaseUsecase<BiometryStatus, String> {
  late final BiometricRepository _biometricRepository;

  BiometricAuthenticateUsecase({
    BiometricRepository? repository,
  }) {
    _biometricRepository = repository ?? BiometricRepositoryImpl();
  }

  @override
  FutureOr<BiometryStatus> call(String localizedReason) async {
    return await _biometricRepository.biometricsAuthenticate(
        localizedReason: localizedReason);
  }
}
